Skip to main content
POST
/
objects
/
bulk-delete
Bulk delete objects
curl --request POST \
  --url https://api.fivemesh.io/v1/objects/bulk-delete \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "paths": [
    "<string>"
  ]
}
'
import requests

url = "https://api.fivemesh.io/v1/objects/bulk-delete"

payload = { "paths": ["<string>"] }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({paths: ['<string>']})
};

fetch('https://api.fivemesh.io/v1/objects/bulk-delete', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


Delete multiple CDN objects in one request. The response includes one result per path. Requires cdn:delete.
Idempotency-Key
string
Optional key used to replay the same successful bulk delete response after a retry.
paths
string[]
required
Object paths to delete.
curl -X POST "https://api.fivemesh.io/v1/objects/bulk-delete" \
  -H "Authorization: Bearer $FIVEMESH_API_KEY" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: delete-media-batch-001" \
  -d '{"paths":["screenshots/a.png","screenshots/b.png"]}'
{
  "success": true,
  "results": [
    {
      "path": "screenshots/a.png",
      "success": true,
      "status": "deleted"
    },
    {
      "path": "screenshots/b.png",
      "success": false,
      "error": "PATH_NOT_ALLOWED"
    }
  ],
  "requestId": "req_..."
}